#ifndef _BIWAK_WKUP_H_
#define _BIWAK_WKUP_H_

#include <biwak/gpio.hpp>
#include <biwak/input.hpp>
#include <biwak/exception.h>

class CWkup:public CInput
{
   int m_wakeupPin;
public:
   CWkup(EGpioPeripheral peripheral, EGpioPin pin, const SExtiConfig &configData, int wakeupPin);
   CWkup(const SExtiConfig &configData, int wakeupPin);
   void enableWakeup();
   void disableWakeup();
};


#endif // _BIWAK_WKUP_H_
